Name:           frei0r
Version:        1.5.0
Release:        %mkrel 1
Summary:        Frei0r - a minimalistic plugin API for video effects
Group:          System/Libraries
License:        GPLv2+
URL:            http://www.piksel.org/frei0r
Source0:        http://files.dyne.org/frei0r/frei0r-plugins-%{version}.tar.gz
Patch1:		1-AM_INIT_AUTOMAKE.patch
Patch2:		2-docs_DATA.patch
BuildRequires:  gavl-devel >= 0.2.3
BuildRequires:  opencv-devel >= 1.0.0
Provides:	frei0r-plugins = %{version}-%{release}

%description
It is a minimalistic plugin API for video sources and filters. The behaviour of
the effects can be controlled from the host by simple parameters. The intent is
to solve the recurring reimplementation or adaptation issue of standard effect

%package        devel
Summary:        Development files for %{name}
Group:          Development/Other

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q -n %{name}-plugins-%{version}
%autopatch -p1

%build
autoreconf -fi
%configure2_5x --disable-static
%make

%install
%makeinstall_std INSTALL="install -p"

# Remove these, they'll be %%doc'ed
rm -rf %{buildroot}%{_docdir}/%{name}-plugins

%files
%doc AUTHORS.txt COPYING.txt README.txt TODO.txt
%{_libdir}/%{name}-1/*.so

%files devel
%{_includedir}/frei0r.h
%{_libdir}/pkgconfig/frei0r.pc


%changelog
* Sat Dec 17 2016 luigiwalser <luigiwalser> 1.5.0-1.mga6
+ Revision: 1075752
- 1.5.0
- update source URL
- add patches from debian to fix build

* Tue Sep 13 2016 luigiwalser <luigiwalser> 1.4-8.mga6
+ Revision: 1052294
+ rebuild (emptylog)

* Tue Sep 13 2016 luigiwalser <luigiwalser> 1.4-7.mga6.tainted
+ Revision: 1051737
- remove frei0r-devel dependency on frei0r

* Thu Feb 04 2016 umeabot <umeabot> 1.4-5.mga6
+ Revision: 935034
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.4-4.mga5
+ Revision: 751007
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.4-3.mga5
+ Revision: 679356
- Mageia 5 Mass Rebuild

* Tue Aug 26 2014 luigiwalser <luigiwalser> 1.4-2.mga5
+ Revision: 668351
- rebuild

* Wed May 21 2014 luigiwalser <luigiwalser> 1.4-1.mga5
+ Revision: 624813
- 1.4
- update source URL

* Fri Oct 18 2013 umeabot <umeabot> 1.3-6.mga4
+ Revision: 504650
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 1.3-5.mga3
+ Revision: 350960
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue May 29 2012 fwang <fwang> 1.3-4.mga3
+ Revision: 249009
- rebuild for new opencv

* Sat Aug 13 2011 fwang <fwang> 1.3-3.mga2
+ Revision: 132940
- rebuild for new opencv

* Thu Jun 09 2011 dams <dams> 1.3-2.mga2
+ Revision: 102363
- add a provide to frei0r-plugins

* Thu Jun 09 2011 ahmad <ahmad> 1.3-1.mga2
+ Revision: 102162
- Adapt the spec to the Mageia packaging guide lines
- Update to 1.3
- imported package frei0r-plugins

